diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index f043433e31..294017c86e 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -2146,9 +2146,12 @@ include_dir 'conf.d'
       There is a separate server
       process called the <firstterm>background writer</firstterm>, whose function
       is to issue writes of <quote>dirty</quote> (new or modified) shared
-      buffers.  It writes shared buffers so server processes handling
-      user queries seldom or never need to wait for a write to occur.
-      However, the background writer does cause a net overall
+      buffers.  When the percentage of dirty shared buffers is high, the
+      background writer writes some of them to the file system and marks
+      them as clean.  This reduces the likelihood that server processes
+      handling user queries will be unable to find clean buffers and have
+      to write dirty buffers to the file system themselves.  However,
+      the background writer does cause a net overall
       increase in I/O load, because while a repeatedly-dirtied page might
       otherwise be written only once per checkpoint interval, the
       background writer might write it several times as it is dirtied
